FindBugsXmlReport (Gradle API 5.1)

Package org.gradle.api.plugins.quality

## Interface FindBugsXmlReport

- All Superinterfaces:
    `org.gradle.util.Configurable<Report>`, `ConfigurableReport`, `Report`, `Serializable`, `SingleFileReport`

      @Deprecated
      public interface FindBugsXmlReport
      extends SingleFileReport

  Deprecated.
  FindBugs is unmaintained and does not support bytecode compiled for Java 9 and above.
  The single file XML report for FindBugs.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.reporting.Report

      `Report.OutputType`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.reporting.Report

      `NAMER`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isWithMessages()` | Deprecated. Whether or not FindBugs should generate XML augmented with human-readable messages.
    `void` | `setWithMessages​(boolean withMessages)` | Deprecated. Whether or not FindBugs should generate XML augmented with human-readable messages.

    - ### Methods inherited from interface org.gradle.util.Configurable

      `configure`

    - ### Methods inherited from interface org.gradle.api.reporting.ConfigurableReport

      `setDestination, setDestination, setEnabled, setEnabled`

    - ### Methods inherited from interface org.gradle.api.reporting.Report

      `getDisplayName, getName, isEnabled`

    - ### Methods inherited from interface org.gradle.api.reporting.SingleFileReport

      `getDestination, getOutputType`

- - ### Method Detail

    - #### isWithMessages

          @Input
          boolean isWithMessages()

      Deprecated.
      Whether or not FindBugs should generate XML augmented with human-readable messages. You should use this format if you plan to generate a report using an XSL stylesheet.

      If `true`, FindBugs will augment the XML with human-readable messages. If `false`, FindBugs will not augment the XML with human-readable messages.

      Returns:
        Whether or not FindBugs should generate XML augmented with human-readable messages.

    - #### setWithMessages

          void setWithMessages​(boolean withMessages)

      Deprecated.
      Whether or not FindBugs should generate XML augmented with human-readable messages.
      Parameters:
        `withMessages` - Whether or not FindBugs should generate XML augmented with human-readable messages.
      See Also:
        `isWithMessages()`